VME Intensity Monitor - Feature #11021

Use Trace for logging & error reporting
11/29/2015 08:58 AM - John Diamond

Status: Assigned
Priority: Normal
Assignee: John Diamond
Category:

Target version:

Start date:
Due date:

% Done:

Estimated time:

Spent time:

11/29/2015

90%
16.00 hours
2.50 hours

Description

Switch to using trace for logging and error reporting.

History

#1 - 01/02/2016 09:52 PM - John Diamond
- Status changed from New to Assigned
- Assignee set to John Diamond

- % Done changed from 0 to 80

Created 13 trace levels:

LOG_ERROR = 0,
LOG_WARNING = 1,
LOG_ACNET = 3,
LOG_BBM = 4,
LOG_BEL = 5,
LOG_DAQ = 6
LOG_FILTER
LOG_CYCLEDEV
LOG_MDAT = 9,
LOG_LATCH = 10,
LOG_SUM = 11,
LOG_TRIGGERS = 12,
LOG_CONTROL = 13

’
=1,
=8,

Went through all .cpp's and replaced cout's and cerr's with TRACEO's.

#2 - 01/02/2016 10:07 PM - John Diamond
- % Done changed from 80 to 90

Configured anubstartup to initialize Trace.

Had to move the location of tracelnit to be AFTER MOOC is initialized in order to work properly.

This still needs to be done for Toroid startup scripts.
